Bug 9425 - Installing from HD, anaconda makes and exception at stage2
Summary: Installing from HD, anaconda makes and exception at stage2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-14 14:29 UTC by Ucender
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-16 15:14:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ucender 2000-02-14 14:29:08 UTC
Description:
While installing a Redhat 6.1 system from a hard drive, after loading
stage2.img (Sept 27), a Python exception raises in anaconda, and the
installation aborts. It complains about the fact that 'h' is not
subscriptable, in module site-packages/comps.py, line 50.

Problem:
The 'h' element is actually set to 'None'. The problem actually comes from
site-packages/harddrive.py, line 38, where a rpm.headerFromPackages() is
tried. Any exception is catched, but if rpm.headerFromPackages() returns
'None', h is appended to 'hl' as a valid header.

Work around:
Avoid this problem erasing any file that is not a valid RPM in the RPMS
directory of your mirror hard drive. Check that there is no hidden file
beginning with '.' (type: ls .*). This way, rpm.headerFromPackages() will
not return 'None'.

Bug fix:
Patch the code to check that 'h' is different from 'None' before adding it
to the 'hl' list.

Comment 1 Jay Turner 2000-02-16 15:14:59 UTC
This issue is resolved in the latest installer code (available in beta)


Note You need to log in before you can comment on or make changes to this bug.